package it.polito.ferrovie;

import it.polito.ferrovie.bean.Fermata;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.TextArea;

public class Controller {
	
	Model model;

    @FXML
    private ResourceBundle resources;

    @FXML
    private URL location;

    @FXML
    private TextArea txtElencoStazioni;

    @FXML
    private ChoiceBox<Fermata> choiceBox;

    @FXML
    private Button btnCalcola;

    @FXML
    void calcola(ActionEvent event) {
    	Fermata fermata = choiceBox.getValue();
    	if (fermata != null) {
    	
	    	String risultato = model.calcolaPercorso(fermata);
	    	
	    	txtElencoStazioni.setText(risultato);
    	}
    }

    @FXML
    void initialize() {
        assert txtElencoStazioni != null : "fx:id=\"txtElencoStazioni\" was not injected: check your FXML file 'gui.fxml'.";
        assert choiceBox != null : "fx:id=\"choiceBox\" was not injected: check your FXML file 'gui.fxml'.";
        assert btnCalcola != null : "fx:id=\"btnCalcola\" was not injected: check your FXML file 'gui.fxml'.";

        
    }
    
    void setModel (Model model) {
    	this.model = model;
    	choiceBox.getItems().addAll(model.getFermate());
    }
}